Name:           texmakerx
Version:        1.9.9a
Release:        3%{?dist}

Summary:        A feature-rich editor for LaTeX documents
Group:          Applications/Publishing
License:        GPLv2+ and GPLv3
URL:            http://texmakerx.sourceforge.net

Source0:        http://downloads.sourceforge.net/texmakerx/texmakerx-%{version}.tar.gz


BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  qt4-devel, hunspell-devel
BuildRequires:  desktop-file-utils
Requires: texlive-latex
%description
TexMakerX is a fork of the LaTeX IDE TexMaker and gives you an 
environment where you can easily create and manage LaTeX documents.
It provides modern writing support, like interactive spell checking, 
code folding and syntax highlighting. 
Also it serves as a starting point from where you can easily run 
all necessary LaTeX tools.
You can run it on Windows, Unix/Linux, BSD and MacOSX systems and 
modify it if you want, since it is licensed under the GPL.
Although TexMakerX has a lot of additional features, 
it tries to be like an improved version of Texmaker, 
so it keeps it look&feel as well as its version number.

%prep
%setup -q -n %{name}-%{version}


%build
export QTDIR=%{_libdir}/qt4
qmake-qt4 -unix texmakerx.pro
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL_ROOT=$RPM_BUILD_ROOT

install -Dp -m 0644 utilities/texmaker16x16.png \
    $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/apps/texmakerx.png
install -Dp -m 0644 utilities/texmaker22x22.png \
    $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/22x22/apps/texmakerx.png
install -Dp -m 0644 utilities/texmaker32x32.png \
    $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/texmakerx.png
install -Dp -m 0644 utilities/texmaker48x48.png \
    $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/texmakerx.png
install -Dp -m 0644 utilities/texmaker64x64.png \
    $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/46x46/apps/texmakerx.png


rm -rf $RPM_BUILD_ROOT%{_datadir}%{name}/{AUTHORS,Copying,*.desktop,tex*.png}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
desktop-file-install --vendor="" \
    --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
    utilities/texmakerx.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post
update-desktop-database &> /dev/null ||:

touch --no-create %{_datadir}/icons/hicolor

%postun
update-desktop-database &> /dev/null ||:

if [ $1 -eq 0 ] ; then
   touch --no-create %{_datadir}/icons/hicolor &>/dev/null
   gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null ||:
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null ||:

%files
%defattr(-,root,root,-)
%{_bindir}/texmakerx
%{_datadir}/texmakerx/
%{_datadir}/applications/texmakerx.desktop
%{_datadir}/icons/hicolor/*/apps/*.png
%exclude %{_datadir}/texmakerx/*.aff
%exclude %{_datadir}/texmakerx/*.dic

%doc utilities/AUTHORS utilities/COPYING

%changelog
* Tue Aug 10 2010 Johannes Lips <Johannes.Lips googlemail com> 1.9.9a-2
- removed the patch snippet
- added another summary entry
* Thu Jul 22 2010 Johannes Lips <Johannes.Lips googlemail com> 1.9.9a-1
- Updated to the recent upstream version
* Fri May 21 2010 Johannes Lips <Johannes.Lips googlemail com> 1.9.9-2
- Fixed some minor glitches
* Sat May 08 2010 Johannes Lips <Johannes.Lips googlemail com> 1.9.9-1
- Updated to version 1.9.9
* Tue Apr 20 2010 Johannes Lips <Johannes.Lips googlemail com> 1.9.3-1
- Updated to recent version
* Thu Nov 12 2009 Jochen Schmitt <Jochen herr-schmitt de> 1.9.2-1
- Initial package

